is_a ( 'jean', 'human' ).

works_for( 'Sylvain', 'Logilab' ).

works_for( 'Alexandre', 'Logilab' ).

works_for( 'Antony', 'Docomo' ).

is_paid_by( X, Y ) :-
	works_for( X, Y ).

emploie( X1, Y1 ) :-
	works_for( Y1, X1 ).

coleague( X2, Y2 ) :-
	works_for( X2, Z ), works_for( Y2, Z ).
